package com.cttic.tcpreceive.domain;

/**
 * @ClassName: PJconsts
 * @Description: TODO
 * @author: zhengnf
 * @date: 2021/4/2/002 16:08
 * @Copyright: 上海城地
 */
public class PJconsts  {
    public int over;   /* over-range flag */
    public int geoc;   /* geocentric latitude flag */
    public int is_latlong; /* proj=latlong ... not really a projection at all */
    public int is_geocent; /* proj=geocent ... not really a projection at all */
    public double a,  /* major axis or radius if es==0 */
            e,  /* eccentricity */
            es, /* e ^ 2 */
            ra, /* 1/A */
            one_es, /* 1 - e^2 */
            rone_es, /* 1/one_es */
            lam0, phi0, /* central longitude, latitude */
            x0, y0, /* easting and northing */
            k0,	/* general scaling factor */
            to_meter, fr_meter; /* cartesian scaling */
    public double lat_0,lon_0,esp;
    public int     datum_type; /* PJD_UNKNOWN/3PARAM/7PARAM/GRIDSHIFT/WGS84 */
    public double[]  datum_params;
    public double  from_greenwich; /* prime meridian offset (in radians) */
    public double[] en;
    public double ml0;
    public String proj,ellps;
}
